跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory store

POST /memory_stores

Creates a memory store resource with the provided configuration.

标头参数

Foundry-Features enum 必需

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

查询参数

api-version string 必需

The API version to use for this operation.

请求正文

Content-Type: application/json
name string 必需

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default 必需

Base definition for memory store configurations.

下列类型作之一:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum 必需

The kind of the memory store.

default
chat_model string 必需

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string 必需

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean 必需

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean 必需

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

响应

The request has succeeded.

正文

Content-Type: application/json
object enum 必需

The object type, which is always 'memory_store'.

memory_store
id string 必需

The unique identifier of the memory store.

created_at integer 必需
updated_at integer 必需
name string 必需

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default 必需

Base definition for memory store configurations.

下列类型作之一:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum 必需

The kind of the memory store.

default
chat_model string 必需

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string 必需

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean 必需

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean 必需

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

POST /memory_stores HTTP/1.1

响应

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026